<?xml version="1.0"?>
<opencv_storage>
<Settings>
  <Circle_Board_Info> "{1,3,17.5,63,51}"</Circle_Board_Info>
  <Board_First_Point>1</Board_First_Point>
  <Enable_Distortion_Correct>2</Enable_Distortion_Correct>

  <Distortion_Calibration_setting>"1,5,5,8,6"</Distortion_Calibration_setting>
  <FrontAngleThreshold>0.12</FrontAngleThreshold>
  <BSFittingThreshold>0.15</BSFittingThreshold>
  <ZRotateThreshold>0.12</ZRotateThreshold>
  <Bs_Detect_Circle>1</Bs_Detect_Circle>

  <Train_Image>"1,3"</Train_Image>
  <Test_Image>""</Test_Image>
  <Train_Begin>1</Train_Begin>
  <Train_End>6</Train_End>
  <Test_Begin>1</Test_Begin>
  <Test_End>6</Test_End>
  <Binary_Info> ""</Binary_Info>
  <Binary_Method>3</Binary_Method>
  <Binary_Threshold>35</Binary_Threshold>
  <InputImagesFile>""</InputImagesFile>
  <Calibrate_Pattern>"ASYMMETRIC_CIRCLES_GRID"</Calibrate_Pattern>
  <Debug_Level>0</Debug_Level>
  <DetectionAlgorithm>3</DetectionAlgorithm>
  <Train_Image_Combine_M>0</Train_Image_Combine_M>
  <Train_Image_Combine>"{1,3}"</Train_Image_Combine>
  <Corners_Points_Src>0</Corners_Points_Src>
  <Write_outputFileName>"out_camera_data"</Write_outputFileName>
  <Module_Name>"001"</Module_Name>

  <HW_CalibChart_Version>8</HW_CalibChart_Version>
  <HW_Calib_Version>3</HW_Calib_Version>
  <Board_Distance_Num>1</Board_Distance_Num>
  <Photos_In_One_Distance>"3"</Photos_In_One_Distance>
  <Board_Distance>"65"</Board_Distance>
  <OTP_Buffer_Size>9918</OTP_Buffer_Size>

   <!-- FOV_Check_Distance:distance for check Fov:1-15cm,2-30cm,3-60/80cm. -->
   <FOV_Check_Distance>"1"</FOV_Check_Distance>
   <!-- FOV_Resolution for calc Fov -->
   <FOV_Resolution>"960,720"</FOV_Resolution>

   <!-- Depth_Check_Distance:distance for check depth:1-15cm,2-30cm,3-60/80cm. -->
   <Depth_Check_Distance>""</Depth_Check_Distance>

   <!-- Check_Distance:distance for check:1-15cm,2-30cm,3-60/80cm. -->
   <Check_Distance>"1"</Check_Distance>
   <!-- Camera_Valid_Params  distance,fov,optical center(x,y)(pixel),distence between two optical center ,shift(x,y,z)(mm),rotation(x,y,z)(degree),distance num(1-dist1,2-dist2,3-dist3,no use here),dist1,dist2,dist3. -->
   <Camera_Params>"{65,0,1056.0,792.0,1056.0,792.0,0,0,17.9,0.46,3.025,0.0,0.0,0.0,22.68,55.08,98.28}"</Camera_Params>
   <!-- Camera_Valid_Threshold  distance,fov,optical center(x,y)(pixel),distence between two optical center shift(x,y,z)(mm),rotation(x,y,z)(degree),dist1_valid_percent,dist2_valid_percent,dist3_valid_percent. -->
   <Camera_Params_Threshold>"{65,90,100,100,100,100,150,150,3.0,3.0,5.0,5.1,5.1,5.1,17.48,45.08,81.88}"</Camera_Params_Threshold>
   <Focus_Angle>90</Focus_Angle>
   <CAPTURE_DELAY>500</CAPTURE_DELAY>
   <Fix_Exposure_Time>3000 5000</Fix_Exposure_Time>
   <Fix_ISO>300 400</Fix_ISO>
     <!-- Pass_Switch 0 means off -->
   <Pass_Switch>0</Pass_Switch>
   <!-- AF_Mode 1 means AF mode is On -->
   <AF_Mode>1</AF_Mode>
   <!-- Servo_Mode 1 means the first camera is on, 2 the second one is on,3 all are on -->
   <Servo_Mode>3</Servo_Mode>
   <!-- Crop Region Otp buffer check Switch 0 means off -->
   <Rob_Check_Switch>0</Rob_Check_Switch>
   <!-- Crop Region Otp buffer check list: multicameraid x y width height rawwidth rawheight -->
   <Rob_Check_List>"{0,0,0,4096,3072,4096,3072,1,0,0,3264,2448,3264,2448}"</Rob_Check_List>
      <!-- Crop Region data: CamID startX startY width height rawwidth rawheight -->
   <Crop_Flag>1</Crop_Flag>
   <!-- main原始尺寸，sub原始尺寸，1先裁剪，左图输出尺寸，左图裁剪起始位置，左图裁剪尺寸，1先裁剪，右图输出尺寸，右图裁剪起始位置，右图裁剪尺寸 -->
   <Crop_Params>"4096,3072,3264,2448,1,2112,1584,0,0,4096,3072,1,2112,1584,576,432,2112,1584"</Crop_Params>
   <!-- <Crop_Params>"4096,3072,5408,3680,0,3264,2448,0,0,3264,2448,0,3264,2448,0,0,3264,2448"</Crop_Params> -->
     <!-- linty so v1.3 new add -->
   <Circle_Filter>"{40,80,6,20,1.0,1.5,0.5,1.0}"</Circle_Filter>
   <ZeroAngle_Index>1</ZeroAngle_Index>
   <!--调用标志,水平方向姿态,PnP,Hmat,垂直方向姿态-->
   <Analyze_Rotation_Flag>"1,1,0,0,1"</Analyze_Rotation_Flag>
   <Analyze_Rotation_Threshold>0.07</Analyze_Rotation_Threshold>
</Settings>
</opencv_storage>
